apply plugin: 'com.android.library'

android {
    compileSdkVersion ANDROID_COMPILE_SDK_VERSION as int
    buildToolsVersion ANDROID_BUILD_TOOLS_VERSION

    defaultConfig {
        minSdkVersion ANDROID_MIN_SDK_VERSION as int
        targetSdkVersion ANDORID_TARGET_SDK_VERSION as int
        versionCode VERSION_CODE as int
        versionName VERSION_NAME
    }

    lintOptions {
        abortOnError false
    }

    dexOptions {
        preDexLibraries = false
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    buildToolsVersion ANDROID_BUILD_TOOLS_VERSION
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}



dependencies {
    compileOnly "com.android.support:appcompat-v7:$supportLibVersion"
    compileOnly "com.android.support:recyclerview-v7:$supportLibVersion"
    compileOnly 'com.github.bumptech.glide:glide:4.1.1'
    api "com.android.support:exifinterface:$supportLibVersion"
    api project(':ucrop')
    compileOnly 'io.reactivex.rxjava2:rxandroid:2.1.0'
    compileOnly 'io.reactivex.rxjava2:rxjava:2.2.3'
}

